Bug 616928 - Scatter call ignores size argument
Scatter call ignores size argument
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-matplotlib (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-21 14:51 EDT by Cassio
Modified: 2011-06-29 09:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:10:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cassio 2010-07-21 14:51:07 EDT
Description of problem: scatter plot ignores size ('s') argument.


Version-Release number of selected component (if applicable): 0.99.1.2


How reproducible: Always


Steps to Reproduce:
1. Run the following script:

#!/usr/bin/env python
from pylab import *
from numpy import *
import numpy as np
from mpl_toolkits.mplot3d import Axes3D
import matplotlib.pyplot as plt

def randrange(n, vmin, vmax):
    return (vmax-vmin)*np.random.rand(n) + vmin

fig = plt.figure()
ax = Axes3D(fig)
n = 100
for c, m, zl, zh in [('r', 'o', -50, -25), ('b', '^', -30, -5)]:
    xs = randrange(n, 23, 32)
    ys = randrange(n, 0, 100)
    zs = randrange(n, zl, zh)
    ax.scatter(xs, ys, zs, c=c, marker=m, s = 20)

ax.set_xlabel('X Label')
ax.set_ylabel('Y Label')
ax.set_zlabel('Z Label')
plt.show()

This script is just the example from the matplotlib website, adding the s parameter to the scatter call. 

Original source: http://matplotlib.sourceforge.net/examples/mplot3d/scatter3d_demo.html 
  
Actual results: No matter the value passed to 's' in the scatter call, the points always remain the same size.

Expected results: Points should be of the specified size.

Additional info: This bug seems to be what is reported here: http://sourceforge.net/tracker/index.php?func=detail&aid=2908049&group_id=80706&atid=560720 
Apparently it is fixed in svn (see discussion also in http://old.nabble.com/3D-Axes-scatter-:-no-possibility-to-vary-color-size-of-markers-td26335289.html ). The message that said it was fixed in svn was from Dec 09, 2009.

It would be nice to get this fix into Fedora.
Comment 1 Jef Spaleta 2010-07-21 14:58:11 EDT
excellent catch on the upstream svn discussion.

Give me through the weekend to find the cycles to integrate the patch.

It would be useful to know if 1.0.0 has this fixed...seems like it would be if the fix is in svn already. 1.0.0 is in rawhide now.

-jef
Comment 2 Orion Poplawski 2011-05-20 16:47:22 EDT
It appears to me that this is still an issue with python-matplotlib-1.0.1-11.fc15.x86_64.  Correct?
Comment 3 Bug Zapper 2011-06-01 09:16:37 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-29 09:10:45 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.